body
{
  background-color: #ddd;
}

@media only screen and (max-width: 1600px) {
  body
  {
    zoom: 0.9;
    -moz-transform: scale(0.9);
    -moz-transform-origin: 0 0;
    /*transform: scale(0.9);
    transform-origin: 0 0;*/
  }
}

@media only screen and (max-width: 1360px) {
  body
  {
    zoom: 0.7;
    -moz-transform: scale(0.7);
    -moz-transform-origin: 0 0;
    /*transform: scale(0.7);
    transform-origin: 0 0;*/
  }
}
.corResidencialAtivo
{
  color: rgb(253, 56, 22);
  text-align: center;
  font-size: large;
  font-weight: 500;
}
.perfect-scrollbar-on .sidebar,
.perfect-scrollbar-on .main-panel
{
  height: auto;
  max-height: initial;
}
table.dataTable { /*inclui esta linha pois as tabelas estavam forçando um width: 0px; e estava quebrando todas datatables*/
  width: 100% !important;
}
.template
{
    display:none;
}

.sidebar .logo .simple-text
{
    text-transform: none;
}

.sidebar .nav i
{
    margin-top: -7px;
}

.sidebar .nav p {
    line-height: 15px;
    font-size: 12px;
    text-transform: none;
}

.sidebar .nav .caret {
    margin-top: 5px;
}

.sidebar .nav li a {
    line-height: 5px;
    font-size: 12px;
    text-transform: none;
}

.sidebar .nav {
    margin-top: 5px;
}

.table.table-hover tbody tr:hover
{
    background-color: #e5e5e5;
}

.highlight
{
    background-color: #c5ebc7 !important;
}

.highlight2
{
    background-color: #ebc5c7 !important;
}

.highlight2 a
{
    color: #666;
}

.temExcecao
{
    display:none;
}

.table-striped>tbody>tr:nth-of-type(odd) {
    background-color: #efefef;
}

div.dataTables_processing { z-index: 1; }

/*
    #9c27b0 / 9c27aa -> #4caf50 / 39843c
    #641971 -> #47a44b / 39843c
    #39843c
    rgba(156, 39, 176, 0.5) (9c27aa) 57, 132, 60
*/

a
{
    color: #47a44b;
}

a:hover
{
    color: #39843c;
}

.btn-primary
{
    color: #ffffff;
    background-color: #4caf50;
    border-color: #4caf50;
    box-shadow: none;
}

.btn-primary:hover
{
    color: #ffffff;
    background-color: #47a44b;
    border-color: #39843c;
}

.btn-primary:focus,
.btn-primary.focus
{
    box-shadow: none, 0 0 0 0.2rem rgba(57, 132, 60, 0.5);
}

.btn-primary.disabled,
.btn-primary:disabled {
  color: #ffffff;
  background-color: #4caf50;
  border-color: #4caf50;
}

.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show>.btn-primary.dropdown-toggle {
  color: #ffffff;
  background-color: #47a44b;
  border-color: #39843c;
}

.btn-primary:not(:disabled):not(.disabled):active:focus,
.btn-primary:not(:disabled):not(.disabled).active:focus,
.show>.btn-primary.dropdown-toggle:focus {
  box-shadow: none, 0 0 0 0.2rem rgba(57, 132, 60, 0.5);
}

.btn-outline-primary {
    color: #4caf50;
    background-color: transparent;
    background-image: none;
    border-color: #4caf50;
  }

  .btn-outline-primary:hover {
    color: #ffffff;
    background-color: #4caf50;
    border-color: #4caf50;
  }

  .btn-outline-primary:focus,
  .btn-outline-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(57, 132, 60, 0.5);
  }

  .btn-outline-primary.disabled,
  .btn-outline-primary:disabled {
    color: #4caf50;
    background-color: transparent;
  }

  .btn-outline-primary:not(:disabled):not(.disabled):active,
  .btn-outline-primary:not(:disabled):not(.disabled).active,
  .show>.btn-outline-primary.dropdown-toggle {
    color: #ffffff;
    background-color: #4caf50;
    border-color: #4caf50;
  }

  .btn-outline-primary:not(:disabled):not(.disabled):active:focus,
  .btn-outline-primary:not(:disabled):not(.disabled).active:focus,
  .show>.btn-outline-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(57, 132, 60, 0.5);
  }

  .btn-link {
    color: #4caf50;
  }

  .btn-link:hover {
    color: #47a44b;
  }

.dropdown-item.active,
.dropdown-item:active {
  color: #ffffff;
  text-decoration: none;
  background-color: #4caf50;
}

.custom-control-input:checked~.custom-control-label::before {
    color: #ffffff;
    background-color: #4caf50;
  }

  .custom-control-input:focus~.custom-control-label::before {
    box-shadow: 0 0 0 1px #fafafa, 0 0 0 0.2rem rgba(57, 132, 60, 0.25);
  }

  .custom-control-input:active~.custom-control-label::before {
    background-color: #c5ebc7;
  }

  .custom-checkbox .custom-control-input:checked~.custom-control-label::before {
    background-color: #4caf50;
  }

  .custom-checkbox .custom-control-input:indeterminate~.custom-control-label::before {
    background-color: #4caf50;
    box-shadow: none;
  }

  .custom-checkbox .custom-control-input:disabled:checked~.custom-control-label::before {
    background-color: rgba(57, 132, 60, 0.5);
  }

  .custom-checkbox .custom-control-input:disabled:indeterminate~.custom-control-label::before {
    background-color: rgba(57, 132, 60, 0.5);
  }

  .custom-radio .custom-control-input:checked~.custom-control-label::before {
    background-color: #4caf50;
  }

  .custom-radio .custom-control-input:disabled:checked~.custom-control-label::before {
    background-color: rgba(57, 132, 60, 0.5);
  }

  .custom-select:focus {
    border-color: #c5ebc7;
    outline: 0;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.075), 0 0 5px rgba(57, 132, 60, 0.5);
  }

  .custom-file-input:focus~.custom-file-control {
    border-color: #c5ebc7;
    box-shadow: 0 0 0 0.2rem rgba(57, 132, 60, 0.25);
  }

  .custom-file-input:focus~.custom-file-control::before {
    border-color: #c5ebc7;
  }

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
  color: #ffffff;
  background-color: #4caf50;
}

.page-link {
    color: #4caf50;

  }

  .page-link:hover {
    color: #39843c;
  }

  .page-link:focus {
    box-shadow: 0 0 0 0.2rem rgba(57, 132, 60, 0.25);
  }

  .page-item.active .page-link {
    background-color: #4caf50;
    border-color: #4caf50;
  }

  .alert-primary {
    color: #285b2a;
    background-color: #dbefdc;
    border-color: #cde9ce;
  }

  .alert-primary hr {
    border-top-color: #bbe1bd;
  }

  .alert-primary .alert-link {
    color: #18381a;
  }

  .progress-bar {
    background-color: #4caf50;
  }

  .list-group-item.active {
    z-index: 2;
    color: #ffffff;
    background-color: #4caf50;
    border-color: #4caf50;
  }


.list-group-item-primary {
    color: #285b2a;
    background-color: #cde9ce;
  }

  .list-group-item-primary.list-group-item-action:hover,
  .list-group-item-primary.list-group-item-action:focus {
    color: #285b2a;
    background-color: #bbe1bd;
  }

  .list-group-item-primary.list-group-item-action.active {
    color: #fff;
    background-color: #285b2a;
    border-color: #285b2a;
  }

  .badge-primary {
    color: #ffffff;
    background-color: #4caf50;
  }

  .badge-primary[href]:hover,
  .badge-primary[href]:focus {
    color: #ffffff;
    text-decoration: none;
    background-color: #3d8b40;
  }

  .bg-primary {
    background-color: #4caf50 !important;
  }

  a.bg-primary:hover,
  a.bg-primary:focus,
  button.bg-primary:hover,
  button.bg-primary:focus {
    background-color: #3d8b40 !important;
  }

  .border-primary {
    border-color: #4caf50 !important;
  }

a.text-primary:hover,
a.text-primary:focus {
  color: #4caf50 !important;
}

.text-primary {
    color: #4caf50 !important;
}

a.text-primary:hover,
a.text-primary:focus {
    color: #3d8b40 !important;
}

.btn.btn-primary {
    color: #fff;
    background-color: #4caf50;
    border-color: #4caf50;
    box-shadow: 0 2px 2px 0 rgba(57, 132, 60, 0.14), 0 3px 1px -2px rgba(57, 132, 60, 0.2), 0 1px 5px 0 rgba(57, 132, 60, 0.12);
  }

  .btn.btn-primary:hover {
    color: #fff;
    background-color: #47a44b;
    border-color: #39843c;
  }

  .btn.btn-primary:focus,
  .btn.btn-primary.focus,
  .btn.btn-primary:hover {
    color: #fff;
    background-color: #47a44b;
    border-color: #39843c;
  }

  .btn.btn-primary:active,
  .btn.btn-primary.active,
  .open>.btn.btn-primary.dropdown-toggle,
  .show>.btn.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #47a44b;
    border-color: #39843c;
    box-shadow: 0 2px 2px 0 rgba(57, 132, 60, 0.14), 0 3px 1px -2px rgba(57, 132, 60, 0.2), 0 1px 5px 0 rgba(57, 132, 60, 0.12);
  }

  .btn.btn-primary:active:hover,
  .btn.btn-primary:active:focus,
  .btn.btn-primary:active.focus,
  .btn.btn-primary.active:hover,
  .btn.btn-primary.active:focus,
  .btn.btn-primary.active.focus,
  .open>.btn.btn-primary.dropdown-toggle:hover,
  .open>.btn.btn-primary.dropdown-toggle:focus,
  .open>.btn.btn-primary.dropdown-toggle.focus,
  .show>.btn.btn-primary.dropdown-toggle:hover,
  .show>.btn.btn-primary.dropdown-toggle:focus,
  .show>.btn.btn-primary.dropdown-toggle.focus {
    color: #fff;
    background-color: #47a44b;
    border-color: #255627;
  }

  .open>.btn.btn-primary.dropdown-toggle.bmd-btn-icon {
    color: inherit;
    background-color: #4caf50;
  }

  .open>.btn.btn-primary.dropdown-toggle.bmd-btn-icon:hover {
    background-color: #47a44b;
  }

  .btn.btn-primary.disabled:focus,
.btn.btn-primary.disabled.focus,
.btn.btn-primary:disabled:focus,
.btn.btn-primary:disabled.focus {
  background-color: #4caf50;
  border-color: #4caf50;
}

.btn.btn-primary.disabled:hover,
.btn.btn-primary:disabled:hover {
  background-color: #4caf50;
  border-color: #4caf50;
}

.btn.btn-primary:focus,
.btn.btn-primary:active,
.btn.btn-primary:hover {
  box-shadow: 0 14px 26px -12px rgba(57, 132, 60, 0.42), 0 4px 23px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(57, 132, 60, 0.2);
}

.btn.btn-primary.btn-link {
  background-color: transparent;
  color: #4caf50;
  box-shadow: none;
}

.btn.btn-primary.btn-link:hover,
.btn.btn-primary.btn-link:focus,
.btn.btn-primary.btn-link:active {
  background-color: transparent;
  color: #4caf50;
}

.btn.btn-outline-primary {
    color: #4caf50;
    background-color: transparent;
    border-color: #4caf50;
  }

  .btn.btn-outline-primary:hover {
    color: #4caf50;
    background-color: rgba(153, 153, 153, 0.2);
    border-color: #4caf50;
  }

  .btn.btn-outline-primary:focus,
  .btn.btn-outline-primary.focus,
  .btn.btn-outline-primary:hover {
    color: #4caf50;
    background-color: rgba(153, 153, 153, 0.2);
    border-color: #4caf50;
  }

  .btn.btn-outline-primary:active,
  .btn.btn-outline-primary.active,
  .open>.btn.btn-outline-primary.dropdown-toggle,
  .show>.btn.btn-outline-primary.dropdown-toggle {
    color: #4caf50;
    background-color: rgba(153, 153, 153, 0.2);
    border-color: #4caf50;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  }

  .btn.btn-outline-primary:active:hover,
  .btn.btn-outline-primary:active:focus,
  .btn.btn-outline-primary:active.focus,
  .btn.btn-outline-primary.active:hover,
  .btn.btn-outline-primary.active:focus,
  .btn.btn-outline-primary.active.focus,
  .open>.btn.btn-outline-primary.dropdown-toggle:hover,
  .open>.btn.btn-outline-primary.dropdown-toggle:focus,
  .open>.btn.btn-outline-primary.dropdown-toggle.focus,
  .show>.btn.btn-outline-primary.dropdown-toggle:hover,
  .show>.btn.btn-outline-primary.dropdown-toggle:focus,
  .show>.btn.btn-outline-primary.dropdown-toggle.focus {
    color: #4caf50;
    background-color: rgba(153, 153, 153, 0.4);
    border-color: #4caf50;
  }

  .btn.btn-outline-primary.disabled:focus,
  .btn.btn-outline-primary.disabled.focus,
  .btn.btn-outline-primary:disabled:focus,
  .btn.btn-outline-primary:disabled.focus {
    background-color: transparent;
    border-color: #4caf50;
  }

  .btn.btn-outline-primary.disabled:hover,
  .btn.btn-outline-primary:disabled:hover {
    background-color: transparent;
    border-color: #4caf50;
  }

  .bg-inverse .btn.btn-outline-primary {
    color: #4caf50;
    background-color: transparent;
    border-color: #4caf50;
  }

  .bg-inverse .btn.btn-outline-primary:hover {
    color: #4caf50;
    background-color: rgba(204, 204, 204, 0.15);
    border-color: rgba(204, 204, 204, 0.15);
  }

  .bg-inverse .btn.btn-outline-primary:focus,
  .bg-inverse .btn.btn-outline-primary.focus,
  .bg-inverse .btn.btn-outline-primary:hover {
    color: #4caf50;
    background-color: rgba(204, 204, 204, 0.15);
    border-color: rgba(204, 204, 204, 0.15);
  }

  .bg-inverse .btn.btn-outline-primary:active,
  .bg-inverse .btn.btn-outline-primary.active,
  .open>.bg-inverse .btn.btn-outline-primary.dropdown-toggle,
  .show>.bg-inverse .btn.btn-outline-primary.dropdown-toggle {
    color: #4caf50;
    background-color: rgba(204, 204, 204, 0.15);
    border-color: rgba(204, 204, 204, 0.15);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  }

  .bg-inverse .btn.btn-outline-primary:active:hover,
  .bg-inverse .btn.btn-outline-primary:active:focus,
  .bg-inverse .btn.btn-outline-primary:active.focus,
  .bg-inverse .btn.btn-outline-primary.active:hover,
  .bg-inverse .btn.btn-outline-primary.active:focus,
  .bg-inverse .btn.btn-outline-primary.active.focus,
  .open>.bg-inverse .btn.btn-outline-primary.dropdown-toggle:hover,
  .open>.bg-inverse .btn.btn-outline-primary.dropdown-toggle:focus,
  .open>.bg-inverse .btn.btn-outline-primary.dropdown-toggle.focus,
  .show>.bg-inverse .btn.btn-outline-primary.dropdown-toggle:hover,
  .show>.bg-inverse .btn.btn-outline-primary.dropdown-toggle:focus,
  .show>.bg-inverse .btn.btn-outline-primary.dropdown-toggle.focus {
    color: #4caf50;
    background-color: rgba(204, 204, 204, 0.25);
    border-color: rgba(204, 204, 204, 0.25);
  }

  .bg-inverse .btn.btn-outline-primary.disabled:focus,
  .bg-inverse .btn.btn-outline-primary.disabled.focus,
  .bg-inverse .btn.btn-outline-primary:disabled:focus,
  .bg-inverse .btn.btn-outline-primary:disabled.focus {
    background-color: transparent;
    border-color: #4caf50;
  }

  .bg-inverse .btn.btn-outline-primary.disabled:hover,
  .bg-inverse .btn.btn-outline-primary:disabled:hover {
    background-color: transparent;
    border-color: #4caf50;
  }

  .form-check .form-check-input:checked~.form-check-sign .check {
    background: #4caf50;
  }

  .form-check .form-check-label .circle .check {
    background-color: #4caf50;
  }

  .form-check .form-check-input:checked~.check {
    background-color: #4caf50;
  }

  .form-check .form-check-input:checked~.circle {
    border-color: #4caf50;
  }

  .badge.badge-primary {
    background-color: #4caf50;
  }

.form-control,
.is-focused .form-control {
  background-image: linear-gradient(to top, #4caf50 2px, rgba(57, 132, 60, 0) 2px), linear-gradient(to top, #d2d2d2 1px, rgba(210, 210, 210, 0) 1px);
}

.form-control.form-control-success,
.is-focused .form-control.form-control-success {
  background-image: linear-gradient(to top, #4caf50 2px, rgba(57, 132, 60, 0) 2px), linear-gradient(to top, #d2d2d2 1px, rgba(210, 210, 210, 0) 1px), "data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA2MTIgNzkyIj48cGF0aCBmaWxsPSIjNWNiODVjIiBkPSJNMjMzLjggNjEwYy0xMy4zIDAtMjYtNi0zNC0xNi44TDkwLjUgNDQ4LjhDNzYuMyA0MzAgODAgNDAzLjMgOTguOCAzODljMTguOC0xNC4yIDQ1LjUtMTAuNCA1OS44IDguNGw3MiA5NUw0NTEuMyAyNDJjMTIuNS0yMCAzOC44LTI2LjIgNTguOC0xMy43IDIwIDEyLjQgMjYgMzguNyAxMy43IDU4LjhMMjcwIDU5MGMtNy40IDEyLTIwLjIgMTkuNC0zNC4zIDIwaC0yeiIvPjwvc3ZnPg==";
}

.form-control.form-control-warning,
.is-focused .form-control.form-control-warning {
  background-image: linear-gradient(to top, #4caf50 2px, rgba(57, 132, 60, 0) 2px), linear-gradient(to top, #d2d2d2 1px, rgba(210, 210, 210, 0) 1px), "data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA2MTIgNzkyIj48cGF0aCBmaWxsPSIjZjBhZDRlIiBkPSJNNjAzIDY0MC4ybC0yNzguNS01MDljLTMuOC02LjYtMTAuOC0xMC42LTE4LjUtMTAuNnMtMTQuNyA0LTE4LjUgMTAuNkw5IDY0MC4yYy0zLjcgNi41LTMuNiAxNC40LjIgMjAuOCAzLjggNi41IDEwLjggMTAuNCAxOC4zIDEwLjRoNTU3YzcuNiAwIDE0LjYtNCAxOC40LTEwLjQgMy41LTYuNCAzLjYtMTQuNCAwLTIwLjh6bS0yNjYuNC0zMGgtNjEuMlY1NDloNjEuMnY2MS4yem0wLTEwN2gtNjEuMlYzMDRoNjEuMnYxOTl6Ii8+PC9zdmc+";
}

.form-control.form-control-danger,
.is-focused .form-control.form-control-danger {
  background-image: linear-gradient(to top, #4caf50 2px, rgba(57, 132, 60, 0) 2px), linear-gradient(to top, #d2d2d2 1px, rgba(210, 210, 210, 0) 1px), "data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA2MTIgNzkyIj48cGF0aCBmaWxsPSIjZDk1MzRmIiBkPSJNNDQ3IDU0NC40Yy0xNC40IDE0LjQtMzcuNiAxNC40LTUyIDBsLTg5LTkyLjctODkgOTIuN2MtMTQuNSAxNC40LTM3LjcgMTQuNC01MiAwLTE0LjQtMTQuNC0xNC40LTM3LjYgMC01Mmw5Mi40LTk2LjMtOTIuNC05Ni4zYy0xNC40LTE0LjQtMTQuNC0zNy42IDAtNTJzMzcuNi0xNC4zIDUyIDBsODkgOTIuOCA4OS4yLTkyLjdjMTQuNC0xNC40IDM3LjYtMTQuNCA1MiAwIDE0LjMgMTQuNCAxNC4zIDM3LjYgMCA1MkwzNTQuNiAzOTZsOTIuNCA5Ni40YzE0LjQgMTQuNCAxNC40IDM3LjYgMCA1MnoiLz48L3N2Zz4=";
}

.is-focused [class^='bmd-label'],
.is-focused [class*=' bmd-label'] {
  color: #4caf50;
}

.navbar.bg-primary {
    color: #fff;
    background-color: #4caf50 !important;
    box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 12px -5px rgba(57, 132, 60, 0.46);
  }

  .navbar.bg-primary .dropdown-item:hover,
  .navbar.bg-primary .dropdown-item:focus {
    box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(57, 132, 60, 0.4);
    background-color: #4caf50;
    color: #fff;
  }

.pagination>.page-item.active>a,
.pagination>.page-item.active>a:focus,
.pagination>.page-item.active>a:hover,
.pagination>.page-item.active>span,
.pagination>.page-item.active>span:focus,
.pagination>.page-item.active>span:hover {
  background-color: #4caf50;
  border-color: #4caf50;
  color: #fff;
  box-shadow: 0 4px 5px 0 rgba(57, 132, 60, 0.14), 0 1px 10px 0 rgba(57, 132, 60, 0.12), 0 2px 4px -1px rgba(57, 132, 60, 0.2);
}

.nav-pills .nav-item .nav-link.active {
    color: #fff;
    background-color: #4caf50;
    box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(57, 132, 60, 0.4);
  }

  .text-primary {
    color: #4caf50 !important;
  }

  .nav-tabs .nav-link.active {
    color: #333333;
    border-color: #4caf50;
  }

  .nav-tabs .nav-link.active:hover,
  .nav-tabs .nav-link.active:focus {
    border-color: #4caf50;
  }

  a {
    color: #4caf50;
  }

  a:hover,
  a:focus {
    color: #255627;
    text-decoration: none;
  }

  .bd-docs .bd-toc-item .bd-sidenav a span {
    background-color: #4caf50;
  }

  .alert.alert-primary {
    background-color: #55b559;
    color: #ffffff;
  }

  .alert.alert-primary i {
    color: #4caf50;
  }

  .dropdown-menu .dropdown-item:hover,
.dropdown-menu .dropdown-item:focus,
.dropdown-menu a:hover,
.dropdown-menu a:focus,
.dropdown-menu a:active {
  box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(57, 132, 60, 0.4);
  background-color: #4caf50;
  color: #FFFFFF;
}

.progress .progress-bar.progress-bar-primary {
    background: #4caf50 !important;
  }

  .togglebutton label input[type=checkbox]:checked+.toggle:after {
    border-color: #4caf50;
  }

  .icon.icon-primary {
    color: #4caf50;
  }
  .card .card-body {
    padding: 0.9375rem 20px;
    position: relative;
  }

.card .card-header-primary .card-icon,
.card .card-header-primary .card-text,
.card .card-header-primary:not(.card-header-icon):not(.card-header-text),
.card.bg-primary,
.card.card-rotate.bg-primary .front,
.card.card-rotate.bg-primary .back {
    background: #66bb6a;
    /* For browsers that do not support gradients */
    background: -webkit-linear-gradient(60deg, #66bb6a, #43a047);
    /* For Safari 5.1 to 6.0 */
    background: -o-linear-gradient(60deg, #66bb6a, #43a047);
    /* For Opera 11.1 to 12.0 */
    background: -moz-linear-gradient(60deg, #66bb6a, #43a047);
    /* For Firefox 3.6 to 15 */
    background: linear-gradient(60deg, #66bb6a, #43a047);
    /* Standard syntax */
  }

  a {
    color: #4caf50;
  }

  a:hover,
  a:focus {
    color: #255627;
    text-decoration: none;
  }

  .fixed-plugin .btn.btn-primary {
    color: #fff;
    background-color: #4caf50;
    border-color: #4caf50;
    box-shadow: 0 2px 2px 0 rgba(76, 175, 80, 0.14), 0 3px 1px -2px rgba(76, 175, 80, 0.2), 0 1px 5px 0 rgba(76, 175, 80, 0.12);
  }

  .fixed-plugin .btn.btn-primary:hover {
    color: #fff;
    background-color: #47a44b;
    border-color: #39843c;
  }

  .fixed-plugin .btn.btn-primary:focus,
  .fixed-plugin .btn.btn-primary.focus,
  .fixed-plugin .btn.btn-primary:hover {
    color: #fff;
    background-color: #47a44b;
    border-color: #39843c;
  }

  .fixed-plugin .btn.btn-primary:active,
  .fixed-plugin .btn.btn-primary.active,
  .open>.fixed-plugin .btn.btn-primary.dropdown-toggle,
  .show>.fixed-plugin .btn.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #47a44b;
    border-color: #39843c;
    box-shadow: 0 2px 2px 0 rgba(57, 132, 60, 0.14), 0 3px 1px -2px rgba(57, 132, 60, 0.2), 0 1px 5px 0 rgba(57, 132, 60, 0.12);
  }

  .fixed-plugin .btn.btn-primary:active:hover,
  .fixed-plugin .btn.btn-primary:active:focus,
  .fixed-plugin .btn.btn-primary:active.focus,
  .fixed-plugin .btn.btn-primary.active:hover,
  .fixed-plugin .btn.btn-primary.active:focus,
  .fixed-plugin .btn.btn-primary.active.focus,
  .open>.fixed-plugin .btn.btn-primary.dropdown-toggle:hover,
  .open>.fixed-plugin .btn.btn-primary.dropdown-toggle:focus,
  .open>.fixed-plugin .btn.btn-primary.dropdown-toggle.focus,
  .show>.fixed-plugin .btn.btn-primary.dropdown-toggle:hover,
  .show>.fixed-plugin .btn.btn-primary.dropdown-toggle:focus,
  .show>.fixed-plugin .btn.btn-primary.dropdown-toggle.focus {
    color: #fff;
    background-color: #47a44b;
    border-color: #255627;
  }

  .open>.fixed-plugin .btn.btn-primary.dropdown-toggle.bmd-btn-icon {
    color: inherit;
    background-color: #4caf50;
  }

  .open>.fixed-plugin .btn.btn-primary.dropdown-toggle.bmd-btn-icon:hover {
    background-color: #47a44b;
  }

  .fixed-plugin .btn.btn-primary.disabled:focus,
  .fixed-plugin .btn.btn-primary.disabled.focus,
  .fixed-plugin .btn.btn-primary:disabled:focus,
  .fixed-plugin .btn.btn-primary:disabled.focus {
    background-color: #4caf50;
    border-color: #4caf50;
  }

  .fixed-plugin .btn.btn-primary.disabled:hover,
  .fixed-plugin .btn.btn-primary:disabled:hover {
    background-color: #4caf50;
    border-color: #4caf50;
  }

  .fixed-plugin .btn.btn-primary:focus,
  .fixed-plugin .btn.btn-primary:active,
  .fixed-plugin .btn.btn-primary:hover {
    box-shadow: 0 14px 26px -12px rgba(57, 132, 60, 0.42), 0 4px 23px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(57, 132, 60, 0.2);
  }

  .fixed-plugin .btn.btn-primary.btn-link {
    background-color: transparent;
    color: #4caf50;
    box-shadow: none;
  }

  .fixed-plugin .btn.btn-primary.btn-link:hover,
  .fixed-plugin .btn.btn-primary.btn-link:focus,
  .fixed-plugin .btn.btn-primary.btn-link:active {
    background-color: transparent;
    color: #4caf50;
  }

.full-page[filter-color="primary"]:after {
  background: rgba(165, 214, 167, 0.56);
  /* For browsers that do not support gradients */
  background: -webkit-linear-gradient(60deg, rgba(165, 214, 167, 0.56), rgba(102, 187, 106, 0.95));
  /* For Safari 5.1 to 6.0 */
  background: -o-linear-gradient(60deg, rgba(165, 214, 167, 0.56), rgba(102, 187, 106, 0.95));
  /* For Opera 11.1 to 12.0 */
  background: -moz-linear-gradient(60deg, rgba(165, 214, 167, 0.56), rgba(102, 187, 106, 0.95));
  /* For Firefox 3.6 to 15 */
  background: linear-gradient(60deg, rgba(165, 214, 167, 0.56), rgba(102, 187, 106, 0.95));
  /* Standard syntax */
}

.full-page[filter-color="primary"].lock-page .form-group .form-control {
  background-image: linear-gradient(#4caf50, #4caf50), linear-gradient(#D2D2D2, #D2D2D2);
}

.lock-page .footer .copyright a:hover {
    color: #4caf50;
}

.register-page .card-signup .form-check a {
    color: #4caf50;
}

.register-page .card-signup .info-horizontal .icon.icon-primary {
    color: #4caf50;
}

.register-page .footer .copyright a:hover {
    color: #4caf50;
}

.pricing-page .footer .copyright a:hover {
    color: #4caf50;
}

.timeline>li>.timeline-badge.primary {
    background-color: #4caf50;
    box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(57, 132, 60, 0.4);
  }

.slider .noUi-connect {
background-color: #4caf50;
border-radius: 4px;
}

.slider .noUi-handle {
border-color: #4caf50;
}

.title {
  font-size: 1.3em;
  font-weight: bolder;
}
.dtTitle, .dtTitle2, .dtTitle3, .dtTitle4, .dtTitle5{
  font-size: 1.2em;
  font-weight: bolder;
  margin-block-start: auto;
}

.bootstrap-datetimepicker-widget a[data-action] {
    color: #4caf50;
  }

  .bootstrap-datetimepicker-widget a[data-action]:hover span {
    color: #4caf50;
  }

  .bootstrap-datetimepicker-widget .btn[data-action="incrementHours"]::after {
    content: "Adicionar Horas";
  }

  .bootstrap-datetimepicker-widget .btn[data-action="incrementMinutes"]::after {
    content: "Adicionar Minutos";
  }

  .bootstrap-datetimepicker-widget .btn[data-action="decrementHours"]::after {
    content: "Reduzir Horas";
  }

  .bootstrap-datetimepicker-widget .btn[data-action="decrementMinutes"]::after {
    content: "Reduzir Minutos";
  }

  .bootstrap-datetimepicker-widget .btn[data-action="showHours"]::after {
    content: "Mostrar Horas";
  }

  .bootstrap-datetimepicker-widget .btn[data-action="showMinutes"]::after {
    content: "Mostrar Minutos";
  }

  .bootstrap-datetimepicker-widget .btn[data-action="togglePeriod"]::after {
    content: "Alternar AM/PM";
  }

  .bootstrap-datetimepicker-widget .btn[data-action="clear"]::after {
    content: "Limpar";
  }

  .bootstrap-datetimepicker-widget .btn[data-action="today"]::after {
    content: "Setar data para hoje";
  }

  .bootstrap-datetimepicker-widget .picker-switch::after {
    content: "Alternar telas de Data e Hora";
  }

  .bootstrap-datetimepicker-widget table th.prev::after {
    content: "Mês anterior";
  }

  .bootstrap-datetimepicker-widget table th.next::after {
    content: "Próximo mês";
  }

  .bootstrap-datetimepicker-widget table td.today>div:before {
    border-bottom-color: #4caf50;
  }

  .bootstrap-datetimepicker-widget table td.active>div,
  .bootstrap-datetimepicker-widget table td.active:hover>div {
    background-color: #4caf50;
    box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(57, 132, 60, 0.4);
  }

  .bootstrap-datetimepicker-widget table td span.active {
    background-color: #4caf50;
    color: #fff;
  }

.fc button,
.fc button:hover,
.fc button:focus,
.fc button:active,
.fc button.active,
.fc button:active:focus,
.fc button:active:hover,
.fc button.active:focus,
.fc button.active:hover,
.open>.fc button.dropdown-toggle,
.open>.fc button.dropdown-toggle:focus,
.open>.fc button.dropdown-toggle:hover,
.fc button.btn-primary,
.fc button.btn-primary:hover,
.fc button.btn-primary:focus,
.fc button.btn-primary:active,
.fc button.btn-primary.active,
.fc button.btn-primary:active:focus,
.fc button.btn-primary:active:hover,
.fc button.btn-primary.active:focus,
.fc button.btn-primary.active:hover,
.open>.fc button.btn-primary.dropdown-toggle,
.open>.fc button.btn-primary.dropdown-toggle:focus,
.open>.fc button.btn-primary.dropdown-toggle:hover {
  background-color: #4caf50;
  color: #fff;
}

.fc button.btn-simple,
.fc button.btn-primary.btn-simple {
  background-color: transparent;
  color: #4caf50;
  box-shadow: none;
}

.fc button.btn-simple:hover,
.fc button.btn-simple:focus,
.fc button.btn-simple:active,
.fc button.btn-primary.btn-simple:hover,
.fc button.btn-primary.btn-simple:focus,
.fc button.btn-primary.btn-simple:active {
  background-color: transparent;
  color: #4caf50;
}

.bootstrap-select .dropdown-item.active {
    background: #4caf50;
  }
.bootstrap-select .btn.dropdown-toggle.select-with-transition {
    background-image: linear-gradient(to top, #4caf50 2px, rgba(57, 132, 60, 0) 2px), linear-gradient(to top, #d2d2d2 1px, rgba(210, 210, 210, 0) 1px);
}
.bootstrap-tagsinput.primary-badge .tag {
    background-color: #4caf50;
    color: #fff;
  }

.navbar-fixed-top {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    visibility: hidden;
}

.btn.btn-secondary {
  color: #333333;
  background-color: #eee;
  border-color: #ccc;
  box-shadow: 0 2px 2px 0 rgba(250, 250, 250, 0.14), 0 3px 1px -2px rgba(250, 250, 250, 0.2), 0 1px 5px 0 rgba(250, 250, 250, 0.12);
}

.btn.btn-secondary:hover {
  color: #333333;
  background-color: #ddd;
  border-color: #adadad;
}

.btn.btn-secondary:focus,
.btn.btn-secondary.focus,
.btn.btn-secondary:hover {
  color: #333333;
  background-color: #ddd;
  border-color: #adadad;
}

.btn.btn-secondary:active,
.btn.btn-secondary.active,
.open>.btn.btn-secondary.dropdown-toggle,
.show>.btn.btn-secondary.dropdown-toggle {
  color: #333333;
  background-color: #ddd;
  border-color: #adadad;
  box-shadow: 0 2px 2px 0 rgba(250, 250, 250, 0.14), 0 3px 1px -2px rgba(250, 250, 250, 0.2), 0 1px 5px 0 rgba(250, 250, 250, 0.12);
}

.btn.btn-secondary:active:hover,
.btn.btn-secondary:active:focus,
.btn.btn-secondary:active.focus,
.btn.btn-secondary.active:hover,
.btn.btn-secondary.active:focus,
.btn.btn-secondary.active.focus,
.open>.btn.btn-secondary.dropdown-toggle:hover,
.open>.btn.btn-secondary.dropdown-toggle:focus,
.open>.btn.btn-secondary.dropdown-toggle.focus,
.show>.btn.btn-secondary.dropdown-toggle:hover,
.show>.btn.btn-secondary.dropdown-toggle:focus,
.show>.btn.btn-secondary.dropdown-toggle.focus {
  color: #333333;
  background-color: #ddd;
  border-color: #8c8c8c;
}

.open>.btn.btn-secondary.dropdown-toggle.bmd-btn-icon {
  color: inherit;
  background-color: #eee;
}

.open>.btn.btn-secondary.dropdown-toggle.bmd-btn-icon:hover {
  background-color: #ddd;
}

.btn.btn-secondary.disabled:focus,
.btn.btn-secondary.disabled.focus,
.btn.btn-secondary:disabled:focus,
.btn.btn-secondary:disabled.focus {
  background-color: #eee;
  border-color: #ccc;
}

.btn.btn-secondary.disabled:hover,
.btn.btn-secondary:disabled:hover {
  background-color: #ddd;
  border-color: #ccc;
}

.btn.btn-secondary:focus,
.btn.btn-secondary:active,
.btn.btn-secondary:hover {
  box-shadow: 0 14px 26px -12px rgba(221, 221, 221, 0.42), 0 4px 23px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(221, 221, 221, 0.2);
}

.btn.btn-secondary.btn-link {
  background-color: transparent;
  color: #eee;
  box-shadow: none;
}

.btn.btn-secondary.btn-link:hover,
.btn.btn-secondary.btn-link:focus,
.btn.btn-secondary.btn-link:active {
  background-color: transparent;
  color: #ddd;
}
.modal-panel{
  padding: 0 15px;
}
.modal-big
{
  max-width: 90%;
}
.modal-full
{
  max-width: 90%;
}

@media only screen and (max-width: 1360px) {
  .modal-full
  {
    max-width: 98%;
  }
  .modal-big
  {
    max-width: 98%;
  }
}

.compact
{
  margin: 0px;
}

.bmd-form-group .is-focused .bmd-label-floating,
.bmd-form-group .is-filled .bmd-label-floating {
  top: -0.3rem;
  left: 0;
  font-size: 0.69rem;
}

.is-focused .bmd-label-floating, .is-filled .bmd-label-floating {
  top: -0.3rem;
  left: 0;
  font-size: 0.69rem;
}

.smartselect
{
  display: none;
}

.smartbox
{
  display: none;
  margin: 2px;
  /*padding: 10px;*/
  border-radius: 2px;
  border: 1px solid #bbb;
  background-color: #fff;
  width: 100%;
  min-height: 1%;
  overflow: auto;
  position: absolute;
  z-index: 99999;
  top: 0;
  left: 0;
  -ms-overflow-style: -ms-autohiding-scrollbar;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.smartbox-item
{
  padding: 4px;
  font-size: 14px;
  font-weight: 200;
}

.smartbox-selected-item
{
  color: #fff;
  background-color: #4caf50;
  text-shadow: 1px 1px 1px gray;
}

.smartbox-item:hover
{
  background-color: #eee;
  text-shadow: 1px 1px 1px gray;
}

.smartbox-selected-item:hover
{
  color: #fff;
  background-color: #285b2a;
  text-shadow: 1px 1px 1px gray;
}

.smartbox-dropdown
{
  position: relative;
  display: inline-block;
  width: 100%;
}
.smartbox-dropdown::before
{
  position: absolute;
  content: " \25BE";
  top: 20px;
  right: -5px;
  height: 20px;
  width: 20px;
  color: #aaa;
}

.smartbox-highlight
{
  color: #fff;
  background-color:#4caf50;
  padding: 1px;
  font-weight: 400;
}

.smartbox-selected-item .smartbox-highlight
{
  background-color:#18381a;
}


/* Scrollbars */
*
{
  scrollbar-width: thin;
  scrollbar-color: #4caf50 rgb(255,255,255,0.0);
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 5px;
}

*::-webkit-scrollbar-track {
  background: rgb(255,255,255,0.0);
}

*::-webkit-scrollbar-thumb {
  background-color: #4caf50;
  border-radius: 20px;
  border: 3px solid rgb(255,255,255,0.0);
}

.toolbar
{
  min-height:61px;
}

.pt10
{
  padding-top: 10px;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link {
  color: #495057 !important;
  border-color: #ddd #ddd transparent !important;
  border: 1px solid transparent;
}

.nav-tabs .nav-link {
  border: 1px solid transparent;
  border-top-left-radius: .25rem;
  border-top-right-radius: .25rem;
}
.nav-link {
  display: block;
  padding: .5rem 1rem;
}

.nav-tabs .nav-item .nav-link, .nav-tabs .nav-item .nav-link:hover, .nav-tabs .nav-item .nav-link:focus {
  border: 1px solid transparent;
  color: #495057 !important;
  border-color: #ddd #ddd transparent !important;
  font-weight: 100;
}

.nav-tabs .nav-item .nav-link:hover, .nav-tabs .nav-item .nav-link:focus {
  font-weight: 500;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
  border: 1px solid transparent !important;
  color: #495057 !important;
  background-color: #fafafa !important;
  border-color: #ddd #ddd transparent !important;
  font-weight: 200 !important;
  transition: none !important;/*0.3s background-color 0.2s;*/
}

.nav-tabs .nav-item .nav-link:hover, .nav-tabs .nav-item .nav-link:focus
{
  border: 1px solid transparent !important;
  color: #495057 !important;
  background-color: #fafafa!important;
  border-color: #ccc #ccc transparent !important;
  font-weight: 500 !important;
}

.tab-content, .tab-content, .tab-pane
{
  background-color: #fafafa;
  padding-top: 4px;
  padding-left: 15px;
  padding-right: 15px;
  padding-bottom: 15px;
  width: 100%;
  display: flex;
  flex-direction: column;
}

label {
  color: #666;
}

/* === Botão MUDAR O TEMA - wes230918 === */

/* Estilo geral para o modo escuro */
body.dark-mode {
  background-color: #2b2b2b;
  color: #aaaaaa;
}

/* Ocultar o elemento com a classe .template no modo escuro */
body.dark-mode .template {
  display: none;
}

/* === Menu principal da esquerda === */

/* Links do menu principal no modo escuro */
body.dark-mode .sidebar[data-background-color="black"] .nav .nav-item .nav-link {
  color: #aaaaaa;
}

/* Cor dos links ativos no menu principal */
body.dark-mode .sidebar[data-color="green"] li.active > a {
  color: #fff !important;
}

/* === Estilos gerais para elementos === */

/* Aplicar estilos gerais no modo escuro para vários elementos */
body.dark-mode .tab-content,
body.dark-mode .tab-pane,
body.dark-mode .uiTab,
body.dark-mode .odd,
body.dark-mode .btn,
body.dark-mode .btn-secondary,
body.dark-mode .buttons-collection,
body.dark-mode .dropdown-toggle,
body.dark-mode .buttons-colvis,
body.dark-mode .buttons-excel,
body.dark-mode .buttons-html5,
body.dark-mode header,
body.dark-mode footer,
body.dark-mode .title,
body.dark-mode .perfect-scrollbar-on .sidebar,
body.dark-mode .perfect-scrollbar-on .main-panel,
body.dark-mode .container-fluid,
body.dark-mode .conteudo-interno {
  background-color: #2a2a2a !important;
  color: #aaaaaa !important;
}

/* === Estilos para CARTÕES === */

/* Estilos para cabeçalhos e corpo dos cartões no modo escuro */
body.dark-mode .card-header,
body.dark-mode .card-header-success,
body.dark-mode .card-header-icon,
body.dark-mode .card,
body.dark-mode .card-title,
body.dark-mode .card-body {
  background-color: #121212 !important;
  color: #aaaaaa !important;
}

/* === Estilos para Tabelas === */

/* Estilos para as abas nas tabelas no modo escuro */
body.dark-mode .nav-tabs .nav-item .nav-link,
body.dark-mode .nav-tabs .nav-item .nav-link:hover,
body.dark-mode .nav-tabs .nav-item .nav-link:focus {
  border: 1px solid transparent;
  color: #aaaaaa !important;
  border-color: #ddd #ddd transparent !important;
  font-weight: 100;
}

/* Estilos para abas ativas nas tabelas */
body.dark-mode .nav-tabs .nav-item.show .nav-link,
body.dark-mode .nav-tabs .nav-link.active {
  border: 1px solid transparent !important;
  color: #4b4b4b !important;
  background-color: #fafafa !important;
  border-color: #ddd #ddd transparent !important;
  font-weight: 200 !important;
  transition: none !important;
}

/* Estilos para o hover nas abas das tabelas */
body.dark-mode .nav-tabs .nav-item .nav-link:hover,
body.dark-mode .nav-tabs .nav-item .nav-link:focus {
  border: 1px solid transparent !important;
  color: #4b4b4b !important;
  background-color: #eee!important;
  border-color: #ccc #ccc transparent !important;
  font-weight: 500 !important;
}

/* Estilos para células de tabelas e cabeçalhos */
body.dark-mode th,
td,
thead th {
  border-color: #32383e;
}

/* Estilos para campos de entrada e tabelas */
body.dark-mode .form-control,
body.dark-mode .table-striped,
body.dark-mode .table,
body.dark-mode .table-hover,
body.dark-mode .dataTable,
body.dark-mode .dtr-inline.collapsed,
body.dark-mode .bmd-label-floating,
body.dark-mode .dataTables_wrapper.dt-bootstrap4.no-footer,
body.dark-mode .modal-content {
  background-color: #121212 !important;
  color: #aaaaaa !important;
}

/* Estilos para cabeçalhos de tabela escura */
body.dark-mode .table>thead>tr>th,
body.dark-mode .table>tbody>tr>th,
body.dark-mode .table>tfoot>tr>th,
body.dark-mode .table>thead>tr>td,
body.dark-mode .table>tbody>tr>td,
body.dark-mode .table>tfoot>tr>td {
  padding: 12px 8px;
  vertical-align: middle;
  border-color: transparent;
}

/* Estilos para cabeçalhos de tabela escura (tema escuro) */
body.dark-mode .table .thead-dark th {
  color: #fafafa;
  background-color: #212529;
  border-color: #32383e;
}

/* Estilos para cabeçalhos de tabela claro (tema claro) */
body.dark-mode .table .thead-light th {
  color: #4b4b4b;
  background-color: #e9ecef;
  border-color: rgba(0, 0, 0, 0.06);
}

/* Estilos para tabelas com bordas */
body.dark-mode .table-bordered {
  border: 0;
}

/* Estilos para listras em tabelas */
body.dark-mode .table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(255, 255, 255, 0.05);
}

/* Estilos para o hover em tabelas */
body.dark-mode .table-hover tbody tr:hover {
  background-color: rgba(255, 255, 255, 0.075);
}

/* Estilos para tabelas com bordas */
body.dark-mode .table-bordered th,
.table-bordered td {
  border: 1px solid rgba(0, 0, 0, 0.06);
}

/* Estilos para o hover em tabelas (realce) */
body.dark-mode .highlight,
body.dark-mode .table.table-hover tbody tr:hover {
  background-color: #29762c !important;
  color: #e9ecef !important;
}

/* === Seleção dos selects - wes230920 === */

/* Estilos para a caixa de seleção */
body.dark-mode .smartbox {
  display: none;
  margin: 2px;
  border-radius: 2px;
  border: 1px solid #bbb;
  background-color: #2a2a2a !important;
  color: #e0e0e0 !important;
  width: 100%;
  min-height: 1%;
  overflow: auto;
  position: absolute;
  z-index: 99999;
  top: 0;
  left: 0;
  -ms-overflow-style: -ms-autohiding-scrollbar;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

/* Estilos para itens da caixa de seleção */
body.dark-mode .smartbox-item {
  padding: 4px;
  font-size: 14px;
  font-weight: 200;
}

/* Estilos para itens selecionados e destaque */
body.dark-mode .smartbox-selected-item,
body.dark-mode .smartbox-item:hover,
body.dark-mode .smartbox-selected-item:hover {
  background-color: #29762c !important;
  color: #e0e0e0 !important;
}

/* Estilos para a seta de dropdown */
body.dark-mode .smartbox-dropdown::before {
  position: absolute;
  content: " \25BE";
  top: 20px;
  right: -5px;
  height: 20px;
  width: 20px;
  color: #aaa;
}

/* Estilos para o destaque de itens selecionados */
body.dark-mode .smartbox-highlight {
  color: #e0e0e0 !important;
  background-color: #29762c;
  padding: 1px;
  font-weight: 400;
}

/* Estilos para itens selecionados com destaque */
body.dark-mode .smartbox-selected-item .smartbox-highlight {
  background-color: #18381a;
}

/* === Fim do botão MUDAR O TEMA === */

.colPesquisa {
    right: 15px;
    position: absolute;
    margin-top: 15px;
}
.toolbarL15{
  padding-left: 15px;
}
.form-check, label {
  line-height: 3;
}
.textFim{
  align-self: flex-end;
  text-align: right;
}

.btn
{
  padding: 12px 20px;
  border: 1px solid;
}

.card-top-0
{
  margin-top:0;
}

.card-top--10
{
  margin-top:-10px;
}

.form-check .form-check-label
{
  padding-left: 10px;
}

.zoom90
{
  zoom: 0.9;
  -moz-transform: scale(0.9);
  -moz-transform-origin: 0 0;
  /*transform: scale(0.9);
  transform-origin: 0 0;*/
}

.zoom85
{
  zoom: 0.85;
  -moz-transform: scale(0.85);
  -moz-transform-origin: 0 0;
  /*transform: scale(0.9);
  transform-origin: 0 0;*/
}

.zoom80
{
  zoom: 0.8;
  -moz-transform: scale(0.8);
  -moz-transform-origin: 0 0;
  /*transform: scale(0.9);
  transform-origin: 0 0;*/
}

.zoom75
{
  zoom: 0.75;
  -moz-transform: scale(0.75);
  -moz-transform-origin: 0 0;
  /*transform: scale(0.9);
  transform-origin: 0 0;*/
}

.zoom70
{
  zoom: 0.7;
  -moz-transform: scale(0.7);
  -moz-transform-origin: 0 0;
  /*transform: scale(0.9);
  transform-origin: 0 0;*/
}

.zoom50
{
  zoom: 0.5;
  -moz-transform: scale(0.5);
  -moz-transform-origin: 0 0;
  /*transform: scale(0.9);
  transform-origin: 0 0;*/
}

.modal-backdrop
{
  background-color:black;
}

div.dataTables_processing { z-index: 1; }

.recuo
{
  position: absolute;
  z-index: 2;
  right: 49%;
  bottom: 10px;
}
.selected-row {
  background-color: red;
}
.selected-event
{
  border: 3px solid #444 !important;
}

.alert-warning2 {
  color: #664d03;
  background-color: #fff3cd;
  border-color: #ffecb5;
}

.fc-time
{
  display: none;
}